<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:sch="http://www.ascc.net/xml/schematron"
                xmlns:el="http://xml.insee.fr/schema/electoral"
                version="1.0"
                el:dummy-for-xmlns="">
   <xsl:template match="*|@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:if test="count(. | ../@*) = count(../@*)">@</xsl:if>
      <xsl:value-of select="name()"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+count(preceding-sibling::*[name()=name(current())])"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="/">
      <xsl:apply-templates select="/" mode="M2"/>
   </xsl:template>
   <xsl:template match="el:AvisDInscription/el:SituationElectoraleAnterieure" priority="4000"
                 mode="M2">
      <xsl:choose>
         <xsl:when test="not(el:CommuneDePrecedenteInscription) or (normalize-space(el:SituationDeLElecteur) = 'cci')"/>
         <xsl:otherwise>Element el:CommuneDePrecedenteInscription dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: seulement si situation de l'électeur=cci</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="not(el:ConsulatDePrecedenteInscription) or (normalize-space() = 'p')"/>
         <xsl:otherwise>Element el:ConsulatDePrecedenteInscription dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: seulement si type de liste =p</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="not(el:PaysUeDerniereInscription) or (normalize-space() = 'ce')"/>
         <xsl:otherwise>Element el:PaysUeDerniereInscription dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: seulement si type de liste =ce</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="el:AvisDInscriptionDOffice/el:PropositionDInscription/el:Jeune"
                 priority="3999"
                 mode="M2">
      <xsl:choose>
         <xsl:when test="(el:LieuDeNaissance or not(normalize-space(el:IdentificationRnipp) = 'O')) and (not(el:LieuDeNaissance) or (normalize-space(el:IdentificationRnipp) = 'O'))"/>
         <xsl:otherwise>Element el:LieuDeNaissance dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si identification rnipp=O</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="el:PropositionDInscription/el:Jeune" priority="3998" mode="M2">
      <xsl:choose>
         <xsl:when test="(el:LieuDeNaissance or not(normalize-space(el:IdentificationRnipp) = 'O')) and (not(el:LieuDeNaissance) or (normalize-space(el:IdentificationRnipp) = 'O'))"/>
         <xsl:otherwise>Element el:LieuDeNaissance dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si identification rnipp=O</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M2"/>
   <xsl:template match="text()" priority="-1"/>
</xsl:stylesheet>