<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://www.ascc.net/xml/schematron">
   <title>Schéma généré par XSLT</title>
   <ns uri="http://xml.insee.fr/schema/electoral" prefix="el"/>
   <pattern name="manuel">
      <!-- Règles ajoutées manuellement -->
      <rule context="el:AvisDeRadiation/el:MotifDeLAvisDeRadiation">
         <!--  Type de liste est /el:AvisDeRadiation/el:Inscription/el:TypeDeListe c'est à dire ../el:Inscription/el:TypeDeListe -->
         <assert
            test="
            ( 
            el:MotifListeComplementaire  and 
            (
            normalize-space(../el:Inscription/el:TypeDeListe) = 'ce'
            or normalize-space(../el:Inscription/el:TypeDeListe) = 'cm'
            )
            ) or (
            el:MotifListePrincipale  and 
            normalize-space(../el:Inscription/el:TypeDeListe) = 'p'
            ) "
            >Elément el:MotifListeComplementaire dans <name/>: si et seulement si el:TypeDeListe=ce, cm; élément el:MotifListePrincipale si et seulement si el:TypeDeListe=p.</assert>
      </rule>
      <rule context="el:DemandeDeRadiation/el:MotifDeLaDemandeDeRadiation">
         <assert
            test="not(el:PerteNationalite)  or (normalize-space(../el:Inscription/el:TypeDeListe) = 'p') "
            >Elément el:PerteNationalite dans <name/>: seulement si el:TypeDeListe=p.</assert>
      </rule>
   </pattern>
   
   <pattern name="contraintes">
      <rule context="el:AvisDInscription/el:SituationElectoraleAnterieure">
         <!--  Type de liste est el:AvisDInscription/el:Inscription/el:TypeDeListe c'est à dire ../el:Inscription/el:TypeDeListe -->
         <assert test="not(el:CommuneDePrecedenteInscription) or (normalize-space(el:SituationDeLElecteur) = 'cci')">Element el:CommuneDePrecedenteInscription dans <name/>: seulement si situation de l'électeur=cci</assert>
         <assert test="not(el:ConsulatDePrecedenteInscription) or (normalize-space(../el:Inscription/el:TypeDeListe) = 'p')">Element el:ConsulatDePrecedenteInscription dans <name/>: seulement si type de liste =p</assert>
         <assert test="not(el:PaysUeDerniereInscription) or (normalize-space(../el:Inscription/el:TypeDeListe) = 'ce')">Element el:PaysUeDerniereInscription dans <name/>: seulement si type de liste =ce</assert>
      </rule>
      <rule context="el:AvisDInscriptionDOffice/el:PropositionDInscription/el:Jeune">
         <assert test="(el:LieuDeNaissance or not(normalize-space(el:IdentificationRnipp) = 'O')) and (not(el:LieuDeNaissance) or (normalize-space(el:IdentificationRnipp) = 'O'))">Element el:LieuDeNaissance dans <name/>: si et seulement si identification rnipp=O</assert>
      </rule>
      <rule context="el:DemandeDAppositionDUneMention/el:Mention">
         <assert test="(el:ConsulatDInscription or not(normalize-space(el:TypeDeMention) = 'afe' or normalize-space(el:TypeDeMention) = 'pr-leg-ref')) and (not(el:ConsulatDInscription) or (normalize-space(el:TypeDeMention) = 'afe' or normalize-space(el:TypeDeMention) = 'pr-leg-ref'))">Element el:ConsulatDInscription dans <name/>: si et seulement si type de mention =afe, pr-leg-ref</assert>
         <assert test="(el:PaysUeDInscription or not(normalize-space(el:TypeDeMention) = 'mf')) and (not(el:PaysUeDInscription) or (normalize-space(el:TypeDeMention) = 'mf'))">Element el:PaysUeDInscription dans <name/>: si et seulement si type de mention =mf</assert>
      </rule>
      <rule context="el:PropositionDInscription/el:Jeune">
         <assert test="(el:LieuDeNaissance or not(normalize-space(el:IdentificationRnipp) = 'O')) and (not(el:LieuDeNaissance) or (normalize-space(el:IdentificationRnipp) = 'O'))">Element el:LieuDeNaissance dans <name/>: si et seulement si identification rnipp=O</assert>
      </rule>
      <rule context="el:RefusDAppositionDUneMention/el:DemandeDAppositionDUneMention/el:Mention">
         <assert test="(el:ConsulatDInscription or not(normalize-space(el:TypeDeMention) = 'afe' or normalize-space(el:TypeDeMention) = 'pr-leg-ref')) and (not(el:ConsulatDInscription) or (normalize-space(el:TypeDeMention) = 'afe' or normalize-space(el:TypeDeMention) = 'pr-leg-ref'))">Element el:ConsulatDInscription dans <name/>: si et seulement si type de mention =afe, pr-leg-ref</assert>
         <assert test="(el:PaysUeDInscription or not(normalize-space(el:TypeDeMention) = 'mf')) and (not(el:PaysUeDInscription) or (normalize-space(el:TypeDeMention) = 'mf'))">Element el:PaysUeDInscription dans <name/>: si et seulement si type de mention =mf</assert>
      </rule>
      <rule context="el:RefusDAppositionDUneMention/el:RefusDeLaMention">
         <assert test="not(el:AutresMotifsEnClair) or (normalize-space(el:MotifDuRefusDeLaMention) = 'am')">Element el:AutresMotifsEnClair dans <name/>: seulement si motif du refus de la mention =am</assert>
      </rule>
      <rule context="el:RefusDeRadiation/el:RefusDeLaRadiation">
         <assert test="not(el:AutresMotifsEnClair) or (normalize-space(el:MotifDeRefusDeLaRadiation) = 'am')">Element el:AutresMotifsEnClair dans <name/>: seulement si motif du refus de la radiation =am</assert>
      </rule>
   </pattern>
</schema>