<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:sch="http://www.ascc.net/xml/schematron"
                xmlns:el="http://xml.insee.fr/schema/electoral"
                version="1.0"
                el:dummy-for-xmlns="">
   <xsl:template match="*|@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:if test="count(. | ../@*) = count(../@*)">@</xsl:if>
      <xsl:value-of select="name()"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+count(preceding-sibling::*[name()=name(current())])"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="/">
      <xsl:apply-templates select="/" mode="M2"/>
      <xsl:apply-templates select="/" mode="M3"/>
   </xsl:template>
   <xsl:template match="el:AvisDeRadiation/el:MotifDeLAvisDeRadiation" priority="4000" mode="M2">
      <xsl:choose>
         <xsl:when test="             (              el:MotifListeComplementaire  and              (             normalize-space(../el:Inscription/el:TypeDeListe) = 'ce'             or normalize-space(../el:Inscription/el:TypeDeListe) = 'cm'             )             ) or (             el:MotifListePrincipale  and              normalize-space(../el:Inscription/el:TypeDeListe) = 'p'             ) "/>
         <xsl:otherwise>Elément el:MotifListeComplementaire dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si el:TypeDeListe=ce, cm; élément el:MotifListePrincipale si et seulement si el:TypeDeListe=p.</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="el:DemandeDeRadiation/el:MotifDeLaDemandeDeRadiation" priority="3999"
                 mode="M2">
      <xsl:choose>
         <xsl:when test="not(el:PerteNationalite)  or (normalize-space(../el:Inscription/el:TypeDeListe) = 'p') "/>
         <xsl:otherwise>Elément el:PerteNationalite dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: seulement si el:TypeDeListe=p.</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M2"/>
   <xsl:template match="el:AvisDInscription/el:SituationElectoraleAnterieure" priority="4000"
                 mode="M3">
      <xsl:choose>
         <xsl:when test="not(el:CommuneDePrecedenteInscription) or (normalize-space(el:SituationDeLElecteur) = 'cci')"/>
         <xsl:otherwise>Element el:CommuneDePrecedenteInscription dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: seulement si situation de l'électeur=cci</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="not(el:ConsulatDePrecedenteInscription) or (normalize-space(../el:Inscription/el:TypeDeListe) = 'p')"/>
         <xsl:otherwise>Element el:ConsulatDePrecedenteInscription dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: seulement si type de liste =p</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="not(el:PaysUeDerniereInscription) or (normalize-space(../el:Inscription/el:TypeDeListe) = 'ce')"/>
         <xsl:otherwise>Element el:PaysUeDerniereInscription dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: seulement si type de liste =ce</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="el:AvisDInscriptionDOffice/el:PropositionDInscription/el:Jeune"
                 priority="3999"
                 mode="M3">
      <xsl:choose>
         <xsl:when test="(el:LieuDeNaissance or not(normalize-space(el:IdentificationRnipp) = 'O')) and (not(el:LieuDeNaissance) or (normalize-space(el:IdentificationRnipp) = 'O'))"/>
         <xsl:otherwise>Element el:LieuDeNaissance dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si identification rnipp=O</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="el:DemandeDAppositionDUneMention/el:Mention" priority="3998" mode="M3">
      <xsl:choose>
         <xsl:when test="(el:ConsulatDInscription or not(normalize-space(el:TypeDeMention) = 'afe' or normalize-space(el:TypeDeMention) = 'pr-ref')) and (not(el:ConsulatDInscription) or (normalize-space(el:TypeDeMention) = 'afe' or normalize-space(el:TypeDeMention) = 'pr-ref'))"/>
         <xsl:otherwise>Element el:ConsulatDInscription dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si type de mention =afe, pr-ref</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="(el:PaysUeDInscription or not(normalize-space(el:TypeDeMention) = 'mf')) and (not(el:PaysUeDInscription) or (normalize-space(el:TypeDeMention) = 'mf'))"/>
         <xsl:otherwise>Element el:PaysUeDInscription dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si type de mention =mf</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="el:PropositionDInscription/el:Jeune" priority="3997" mode="M3">
      <xsl:choose>
         <xsl:when test="(el:LieuDeNaissance or not(normalize-space(el:IdentificationRnipp) = 'O')) and (not(el:LieuDeNaissance) or (normalize-space(el:IdentificationRnipp) = 'O'))"/>
         <xsl:otherwise>Element el:LieuDeNaissance dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si identification rnipp=O</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="el:RefusDAppositionDUneMention/el:DemandeDAppositionDUneMention/el:Mention"
                 priority="3996"
                 mode="M3">
      <xsl:choose>
         <xsl:when test="(el:ConsulatDInscription or not(normalize-space(el:TypeDeMention) = 'afe' or normalize-space(el:TypeDeMention) = 'pr-ref')) and (not(el:ConsulatDInscription) or (normalize-space(el:TypeDeMention) = 'afe' or normalize-space(el:TypeDeMention) = 'pr-ref'))"/>
         <xsl:otherwise>Element el:ConsulatDInscription dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si type de mention =afe, pr-ref</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="(el:PaysUeDInscription or not(normalize-space(el:TypeDeMention) = 'mf')) and (not(el:PaysUeDInscription) or (normalize-space(el:TypeDeMention) = 'mf'))"/>
         <xsl:otherwise>Element el:PaysUeDInscription dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si type de mention =mf</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="el:RefusDAppositionDUneMention/el:RefusDeLaMention" priority="3995"
                 mode="M3">
      <xsl:choose>
         <xsl:when test="not(el:AutresMotifsEnClair) or (normalize-space(el:MotifDuRefusDeLaMention) = 'am')"/>
         <xsl:otherwise>Element el:AutresMotifsEnClair dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: seulement si motif du refus de la mention =am</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="el:RefusDeRadiation/el:RefusDeLaRadiation" priority="3994" mode="M3">
      <xsl:choose>
         <xsl:when test="not(el:AutresMotifsEnClair) or (normalize-space(el:MotifDeRefusDeLaRadiation) = 'am')"/>
         <xsl:otherwise>Element el:AutresMotifsEnClair dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: seulement si motif du refus de la radiation =am</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M3"/>
   <xsl:template match="text()" priority="-1"/>
</xsl:stylesheet>
